Delete a file
curl --request DELETE \
--url https://thirdparty-sandbox.staging.qonto.co/register/registrations/{registrationId}/files/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Qonto-Partner-Id: <api-key>'import requests
url = "https://thirdparty-sandbox.staging.qonto.co/register/registrations/{registrationId}/files/{id}"
headers = {
"Authorization": "Bearer <token>",
"Qonto-Partner-Id": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Qonto-Partner-Id': '<api-key>'}
};
fetch('https://thirdparty-sandbox.staging.qonto.co/register/registrations/{registrationId}/files/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": [
{
"code": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"code": "unauthorized",
"detail": "You must authenticate to perform API requests"
}
]
}{
"errors": [
{
"code": "not_found",
"detail": "The record identified by <uuid> could not be found."
}
]
}Files
Delete a file
Deletes the file identified by the id path parameter for the registration identified by the registrationId path parameter.
Supported only for registrations in company creation flow (legal_flow = company_creation).
DELETE
/
register
/
registrations
/
{registrationId}
/
files
/
{id}
Delete a file
Authorizations
Bearer authorization header: Bearer <token>.
To get your <token>, please sign up to the Developer Portal.
API Key authorization header: Qonto-Partner-Id: <partner_id>.
To get your <partner_id> please, sign up to the Developer Portal.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Path Parameters
id of the Registration resource
id of the File resource
Response
Returns a success status.
Was this page helpful?
⌘I